Can an hacked 3DS patch flashcards?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Burno, Aug 13, 2017.

  1. Burno
    OP

    Burno Newbie

    Newcomer
    5
    0
    Aug 13, 2017
    Italy
    Hi, I recently screwed up my Acekard 2i which was previously patched to DSi 1.4.4, now it simply went down to the original AK2i bootloader, which is not working on my CFW 3DS or 1.4.4 DSi, sadly.

    Is there anyway an hacked 3DS can boot the .nds that patches flashcards? This one:

    [​IMG]





    It should be a """"simple"""" .nds file, but consider that I'm still a n00b.
    Have I got any chances of bringing my flashcard back to life without a DSL?
     
  2. GravitySuitCollector

    GravitySuitCollector Advanced Member

    Newcomer
    75
    19
    Feb 7, 2017
    United States
    Oregon
  3. Burno
    OP

    Burno Newbie

    Newcomer
    5
    0
    Aug 13, 2017
    Italy
    As far as I read, just the flashcard's icon is concerned. I need the firmware to be updated again, since I'm stuck with the oldest one now I think.

    It's odd since Luma (which I have hacked my 3DS with) should bypass any flashcard block. I can still boot the card, but it simply gets stuck on the first "Loading" blue text, forever. Patching the flashcard again was the first thing I thought, but I'm not even sure about that. I spent almost 2.5 hours searching trough the 2009 forums without success. :(

    I also tried formatting the card's microSD many times and clean reinstalling AKAIO 1.9.0, wasting my time basically.
     
  4. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,092
    1,243
    Aug 5, 2007
    You don't happen to know anyone with a DS (Lite)? Because that way you should be able to fix it.
     
  5. Burno
    OP

    Burno Newbie

    Newcomer
    5
    0
    Aug 13, 2017
    Italy
    Well, my old DSL is literally broken in two pieces. And the last time I played with someone who had it aswell must have been around 8 years ago in a city 200 kilometers from where I live now, and who knows if they still have it working.

    So technically, nope. No DS Lite around for me. All I could do now is asking the dudes I hang out with at the moment and see if they've got a dusty ol' DS/DSL still laying around in their homes.
     
  6. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,092
    1,243
    Aug 5, 2007
    Check in the TWLoader thread and see if they know if you can boot the acekard updater program through it. Might be very possible!
     
  7. squall14716

    squall14716 GBAtemp Maniac

    Member
    1,162
    662
    May 16, 2011
    United States
  8. Burno
    OP

    Burno Newbie

    Newcomer
    5
    0
    Aug 13, 2017
    Italy
    I tried booting the original .nds update files from TWL Loader, but while the DSi one can't update my cartridge (exactly as showed in the picture below), the DSL one gets stuck on the "Press B to continue" screen, implying me to eject and insert my Acekard. :/


    Yup, I could flawlessy boot my AK2i after hacking my o3DS. I even patched the flashcard, in order to make it work on my DSi 1.4.4.

    Going to try out the cias. Will update this post asap!

    EDIT: No luck. It tells me that the cartridge cannot be updated at all. http://i.imgur.com/ivyIRjp.jpg
    My main concern is that I can actually see the flashcard inserted in my o3DS and DSi. I can boot it, but I get an infinite Loading screen on 3DS, while getting an error on DSi (similar to the error it gives you for blocked cards)
     
    Last edited by Burno, Aug 13, 2017